curl --request DELETE \
--url https://algolia_application_id.algolia.net/1/indexes/ALGOLIA_INDEX_NAME/related-products/recommend/rules/test-record-123 \
--header 'accept: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'// Initialize the client
var client = new RecommendClient(
new RecommendConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
);
// Call the API
var response = await client.DeleteRecommendRuleAsync(
"<YOUR_INDEX_NAME>",
Enum.Parse<RecommendModels>("RelatedProducts"),
"objectID"
);
// print the response
Console.WriteLine(response);// Initialize the client
final client = RecommendClient(
appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');
// Call the API
final response = await client.deleteRecommendRule(
indexName: "<YOUR_INDEX_NAME>",
model: RecommendModels.fromJson("related-products"),
objectID: "objectID",
);
// print the response
print(response);// Initialize the client
client, err := recommend.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.DeleteRecommendRule(client.NewApiDeleteRecommendRuleRequest(
"<YOUR_INDEX_NAME>", recommend.RecommendModels("related-products"), "objectID"))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
RecommendClient client = new RecommendClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");
// Call the API
DeletedAtResponse response = client.deleteRecommendRule("<YOUR_INDEX_NAME>", RecommendModels.RELATED_PRODUCTS, "objectID");
// print the response
System.out.println(response);// Initialize the client
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initRecommend();
// Call the API
const response = await client.deleteRecommendRule({
indexName: 'indexName',
model: 'related-products',
objectID: 'objectID',
});
// print the response
console.log(response);// Initialize the client
val client = RecommendClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
var response =
client.deleteRecommendRule(
indexName = "<YOUR_INDEX_NAME>",
model = RecommendModels.entries.first { it.value == "related-products" },
objectID = "objectID",
)
// print the response
println(response)// Initialize the client
$client = RecommendClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
$response = $client->deleteRecommendRule(
'<YOUR_INDEX_NAME>',
'related-products',
'objectID',
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use RecommendClient instead, which exposes the exact same methods.
client = RecommendClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.delete_recommend_rule(
index_name="<YOUR_INDEX_NAME>",
model="related-products",
object_id="objectID",
)
# print the response
print(response)# Initialize the client
client = Algolia::RecommendClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.delete_recommend_rule("<YOUR_INDEX_NAME>", "related-products", "objectID")
# print the response
puts(response)// Initialize the client
val client = RecommendClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
val response = Await.result(
client.deleteRecommendRule(
indexName = "<YOUR_INDEX_NAME>",
model = RecommendModels.withName("related-products"),
objectID = "objectID"
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try RecommendClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")
// Call the API
let response = try await client.deleteRecommendRule(
indexName: "<YOUR_INDEX_NAME>",
model: RecommendModels.relatedProducts,
objectID: "objectID"
)
// print the response
print(response){
"deletedAt": "2023-06-27T14:42:38.831Z",
"taskID": 1514562690001
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}Delete a rule
Deletes a Recommend rule from a recommendation scenario.
curl --request DELETE \
--url https://algolia_application_id.algolia.net/1/indexes/ALGOLIA_INDEX_NAME/related-products/recommend/rules/test-record-123 \
--header 'accept: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'// Initialize the client
var client = new RecommendClient(
new RecommendConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
);
// Call the API
var response = await client.DeleteRecommendRuleAsync(
"<YOUR_INDEX_NAME>",
Enum.Parse<RecommendModels>("RelatedProducts"),
"objectID"
);
// print the response
Console.WriteLine(response);// Initialize the client
final client = RecommendClient(
appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');
// Call the API
final response = await client.deleteRecommendRule(
indexName: "<YOUR_INDEX_NAME>",
model: RecommendModels.fromJson("related-products"),
objectID: "objectID",
);
// print the response
print(response);// Initialize the client
client, err := recommend.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.DeleteRecommendRule(client.NewApiDeleteRecommendRuleRequest(
"<YOUR_INDEX_NAME>", recommend.RecommendModels("related-products"), "objectID"))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
RecommendClient client = new RecommendClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");
// Call the API
DeletedAtResponse response = client.deleteRecommendRule("<YOUR_INDEX_NAME>", RecommendModels.RELATED_PRODUCTS, "objectID");
// print the response
System.out.println(response);// Initialize the client
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initRecommend();
// Call the API
const response = await client.deleteRecommendRule({
indexName: 'indexName',
model: 'related-products',
objectID: 'objectID',
});
// print the response
console.log(response);// Initialize the client
val client = RecommendClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
var response =
client.deleteRecommendRule(
indexName = "<YOUR_INDEX_NAME>",
model = RecommendModels.entries.first { it.value == "related-products" },
objectID = "objectID",
)
// print the response
println(response)// Initialize the client
$client = RecommendClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
$response = $client->deleteRecommendRule(
'<YOUR_INDEX_NAME>',
'related-products',
'objectID',
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use RecommendClient instead, which exposes the exact same methods.
client = RecommendClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.delete_recommend_rule(
index_name="<YOUR_INDEX_NAME>",
model="related-products",
object_id="objectID",
)
# print the response
print(response)# Initialize the client
client = Algolia::RecommendClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.delete_recommend_rule("<YOUR_INDEX_NAME>", "related-products", "objectID")
# print the response
puts(response)// Initialize the client
val client = RecommendClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
val response = Await.result(
client.deleteRecommendRule(
indexName = "<YOUR_INDEX_NAME>",
model = RecommendModels.withName("related-products"),
objectID = "objectID"
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try RecommendClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")
// Call the API
let response = try await client.deleteRecommendRule(
indexName: "<YOUR_INDEX_NAME>",
model: RecommendModels.relatedProducts,
objectID: "objectID"
)
// print the response
print(response){
"deletedAt": "2023-06-27T14:42:38.831Z",
"taskID": 1514562690001
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}editSettingsAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Path Parameters
Name of the index on which to perform the operation.
"ALGOLIA_INDEX_NAME"
related-products, bought-together, trending-facets, trending-items Unique record identifier.
"test-record-123"
Response
OK
Response, taskID, and deletion timestamp.
Date and time when the object was deleted, in RFC 3339 format.
"2023-06-27T14:42:38.831Z"
Unique identifier of a task.
A successful API response means that a task was added to a queue.
It might not run immediately.
You can check the task's progress with the task operation and this task ID.
1514562690001
Was this page helpful?